Thank you for your interest in the Sprint Protect app. Unfortunately, your device is not compatible with Sprint Protect. The app is currently available for Android (v 4.0 or later) and iPhone® (v 7.0 or later). We hope you enjoy your plan’s other benefits, including next-day replacement for loss, theft, and damage.